[platforms/x11/standalone] Remove SGI swap control and video sync
ClosedPublic

Authored by romangg on Aug 27 2019, 8:01 PM.

Details

Summary

Current hardware should suppport either GLX_EXT_swap_control or
GLX_MESA_swap_control. To simplify code remove the usage of SGI extensions.

Test Plan

kwin_x11 tested on i915.

Diff Detail

Repository
R108 KWin
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
romangg created this revision.Aug 27 2019, 8:01 PM
Restricted Application added a project: KWin. · View Herald TranscriptAug 27 2019, 8:01 PM
Restricted Application added a subscriber: kwin. · View Herald Transcript
romangg requested review of this revision.Aug 27 2019, 8:01 PM
davidedmundson added inline comments.
plugins/platforms/x11/standalone/glxbackend.cpp
236

I don't understand this change in the context of this patch

plugins/platforms/x11/standalone/glxbackend.cpp
236

Edit: just seen you're removing it in another patch, so not really an issue

romangg added inline comments.Aug 27 2019, 11:27 PM
plugins/platforms/x11/standalone/glxbackend.cpp
236

Yea, so the idea why I changed it is with double buffering (normally the default case) it blocks for retrace. The swap profiler code did indicate this. But this change should have gone in the previous commit where the swap profiler code was removed.

In the end it gets removed anyway so let's ignore it for now.

zzag accepted this revision.Aug 28 2019, 5:16 PM
This revision is now accepted and ready to land.Aug 28 2019, 5:16 PM
romangg updated this revision to Diff 66533.Sep 20 2019, 10:44 AM

Rebase on master.

romangg updated this revision to Diff 68577.Oct 22 2019, 11:06 PM

Rebase on master.

romangg updated this revision to Diff 69720.Thu, Nov 14, 7:41 AM

Rebase on master.

This revision was automatically updated to reflect the committed changes.